Skip to Content
veriom

Retry webhook delivery

POST
/v1/workspaces/{workspace_id}/webhooks/deliveries/{delivery_id}/retry

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
delivery_id*Delivery Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
attempt*Attempt
attempt_in_cycle?Attempt In Cycle
Default0
context?
created_at*Created At
Formatdate-time
delivered_at*|null
event*Event
id*Id
Formatuuid
last_error*string|null
next_attempt_at*Next Attempt At
Formatdate-time
response_status*integer|null
status*Status
subscription_id*Subscription Id
Formatuuid
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks/deliveries/497f6eca-6276-4993-bfeb-53cbbbba6f08/retry'
Example Response
{  "attempt": 0,  "attempt_in_cycle": 0,  "context": {},  "created_at": "2019-08-24T14:15:22Z",  "delivered_at": "2019-08-24T14:15:22Z",  "event": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "last_error": "string",  "next_attempt_at": "2019-08-24T14:15:22Z",  "response_status": 0,  "status": "string",  "subscription_id": "aa11a4c2-a467-43db-b413-c4ab0f5cf627"}